com.io7m.smfj.format.binary.v1

## Class SMFBv1SchemaIDByteBuffered

- java.lang.Object
- - com.io7m.smfj.format.binary.v1.SMFBv1SchemaIDByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, SMFBv1SchemaIDReadableType, SMFBv1SchemaIDType, SMFBv1SchemaIDWritableType

      public final class SMFBv1SchemaIDByteBuffered
      extends Object
      implements SMFBv1SchemaIDType

  A `ByteBuffer` based implementation of the `SMFBv1SchemaID` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jpra.runtime.java.JPRAStringCursorReadableType` | `getSchemaIdReadable()`
    `com.io7m.jpra.runtime.java.JPRAStringCursorType` | `getSchemaIdWritable()`
    `int` | `getSchemaVersionMajor()`
    `int` | `getSchemaVersionMinor()`
    `int` | `metaSchemaIdOffsetFromCursor()`
    `int` | `metaSchemaIdOffsetFromType()`
    `static int` | `metaSchemaIdStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString` | `metaSchemaIdType()`
    `int` | `metaSchemaVersionMajorOffsetFromCursor()`
    `int` | `metaSchemaVersionMajorOffsetFromType()`
    `static int` | `metaSchemaVersionMajorStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaSchemaVersionMajorType()`
    `int` | `metaSchemaVersionMinorOffsetFromCursor()`
    `int` | `metaSchemaVersionMinorOffsetFromType()`
    `static int` | `metaSchemaVersionMinorStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaSchemaVersionMinorType()`
    `static SMFBv1SchemaIDType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static SMFBv1SchemaIDType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setSchemaVersionMajor(int x)` Set the value of the `schema_version_major` field
    `void` | `setSchemaVersionMinor(int x)` Set the value of the `schema_version_minor` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static SMFBv1SchemaIDType newValueWithOffset(ByteBuffer in_buffer,
                                                              com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                              int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static SMFBv1SchemaIDType newValue(ByteBuffer in_buffer,
                                                    com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaSchemaIdOffsetFromType

          public int metaSchemaIdOffsetFromType()

      Specified by:
        `metaSchemaIdOffsetFromType` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The offset in octets of the `schema_id` field, from the start of the type

    - #### metaSchemaIdStaticOffsetFromType

          public static int metaSchemaIdStaticOffsetFromType()

      Returns:
        The offset in octets of field `schema_id` from the start of the type

    - #### metaSchemaIdOffsetFromCursor

          public int metaSchemaIdOffsetFromCursor()

      Specified by:
        `metaSchemaIdOffsetFromCursor` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The offset in octets of the `schema_id` field, from the cursor

    - #### metaSchemaIdType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAString metaSchemaIdType()

      Specified by:
        `metaSchemaIdType` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The type of the `schema_id` field

    - #### getSchemaIdReadable

          public com.io7m.jpra.runtime.java.JPRAStringCursorReadableType getSchemaIdReadable()

      Specified by:
        `getSchemaIdReadable` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        Read-only access to the `schema_id` field

    - #### getSchemaIdWritable

          public com.io7m.jpra.runtime.java.JPRAStringCursorType getSchemaIdWritable()

      Specified by:
        `getSchemaIdWritable` in interface `SMFBv1SchemaIDWritableType`
      Returns:
        Writable access to the `schema_id` field

    - #### metaSchemaVersionMajorOffsetFromType

          public int metaSchemaVersionMajorOffsetFromType()

      Specified by:
        `metaSchemaVersionMajorOffsetFromType` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The offset in octets of the `schema_version_major` field, from the start of the type

    - #### metaSchemaVersionMajorStaticOffsetFromType

          public static int metaSchemaVersionMajorStaticOffsetFromType()

      Returns:
        The offset in octets of field `schema_version_major` from the start of the type

    - #### metaSchemaVersionMajorOffsetFromCursor

          public int metaSchemaVersionMajorOffsetFromCursor()

      Specified by:
        `metaSchemaVersionMajorOffsetFromCursor` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The offset in octets of the `schema_version_major` field, from the cursor

    - #### metaSchemaVersionMajorType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaSchemaVersionMajorType()

      Specified by:
        `metaSchemaVersionMajorType` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The type of the `schema_version_major` field

    - #### getSchemaVersionMajor

          public int getSchemaVersionMajor()

      Specified by:
        `getSchemaVersionMajor` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The value of the `schema_version_major` field

    - #### setSchemaVersionMajor

          public void setSchemaVersionMajor(int x)

      Description copied from interface: `SMFBv1SchemaIDWritableType`
      Set the value of the `schema_version_major` field
      Specified by:
        `setSchemaVersionMajor` in interface `SMFBv1SchemaIDWritableType`
      Parameters:
        `x` - The new value

    - #### metaSchemaVersionMinorOffsetFromType

          public int metaSchemaVersionMinorOffsetFromType()

      Specified by:
        `metaSchemaVersionMinorOffsetFromType` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The offset in octets of the `schema_version_minor` field, from the start of the type

    - #### metaSchemaVersionMinorStaticOffsetFromType

          public static int metaSchemaVersionMinorStaticOffsetFromType()

      Returns:
        The offset in octets of field `schema_version_minor` from the start of the type

    - #### metaSchemaVersionMinorOffsetFromCursor

          public int metaSchemaVersionMinorOffsetFromCursor()

      Specified by:
        `metaSchemaVersionMinorOffsetFromCursor` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The offset in octets of the `schema_version_minor` field, from the cursor

    - #### metaSchemaVersionMinorType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaSchemaVersionMinorType()

      Specified by:
        `metaSchemaVersionMinorType` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The type of the `schema_version_minor` field

    - #### getSchemaVersionMinor

          public int getSchemaVersionMinor()

      Specified by:
        `getSchemaVersionMinor` in interface `SMFBv1SchemaIDReadableType`
      Returns:
        The value of the `schema_version_minor` field

    - #### setSchemaVersionMinor

          public void setSchemaVersionMinor(int x)

      Description copied from interface: `SMFBv1SchemaIDWritableType`
      Set the value of the `schema_version_minor` field
      Specified by:
        `setSchemaVersionMinor` in interface `SMFBv1SchemaIDWritableType`
      Parameters:
        `x` - The new value

Copyright © 2017 <code@io7m.com> http://io7m.com